---
title: Driving License Auth
description: Validate a customer's driving license details using license number and date of birth.
---

This api is for validating a customer's driving license details. We have to pass driving license number and date of birth in request. If the request have valid driving license details we will get a success response.

#### POST

```
https://kraken.airpay.co.in/airpay/ms/baas/api/licence-verification
```

## Header

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| affiliate  required | Text | Will be provided by airpay | `91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps` |
| checksum  required | Text | $string = $param.self::$secret_key; sha256(<concate all values+SECRET KEY>); | `91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps` |
| api-key  required | Text | Will be provided by airpay | `91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps` |
| processor-key  required | Text | Will be provided by airpay | `91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps` |

## Request Body

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| dl  required | Alphanumeric  <br>(1-50) | Driving License Number as mentioned on the license including special characters and spaces. | `04/1234/2007` |
| dob  required | date | Date of Birth as per License in dd-mm-yyyy format (format dd-mm-yyyy) | `01-02-1993` |

## Success 200

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| status  required | Numeric<br>(`3`) | 400- fail,200-success |
| message  required | Text | success, fail |
| data  required | Text | { "father/husband": "RAJ KUMAR", "name": "ANILA RAJ", "img": "/9j/4AAABCZJRgABAHAAAQABAAD/2nBDABALDA4MChAO", "bloodGroup": "", "dob": "01-02-1993", "dlNumber": "04/1234/2007", "address": [ { "addressLine1": "", "state": "", "district": "", "pin": null, "completeAddress": "AARADHYA BHAVAN, PERUMBAVUR, EDACHIRA P O", "country": "", "type": "NA" } ], "status": "Active", "statusDetails": { "from": "", "to": "", "remarks": "" }, "validity": { "nonTransport": "", "transport": "" }, "covDetails": [ { "cov": "LMV", "issueDate": "26-12-2011" }, { "cov": "MCWG", "issueDate": "26-12-2011" } ], "issueDate": "26-12-2011" } |

## Request Example

```
 curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/baas/api/licence-verification' \
--header 'api-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'affiliate: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'processor-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'dl=04/1234/2007' \
--data-urlencode 'dob=01-02-1993'
```

### Success Response

```
{
    "status": "200",
    "message": "success",
    "data": {
        "father/husband": "RAJ KUMAR",
        "name": "ANILA RAJ",
        "img": "/9j/4AAABCZJRgABAHAAAQABAAD/2nBDABALDA4MChAO",
        "bloodGroup": "",
        "dob": "01-02-1993",
        "dlNumber": "04/1234/2007",
        "address": [
            {
                "addressLine1": "",
                "state": "",
                "district": "",
                "pin": null,
                "completeAddress": "AARADHYA BHAVAN, PERUMBAVUR, EDACHIRA P O",
                "country": "",
                "type": "NA"
            }
        ],
        "status": "Active",
        "statusDetails": {
            "from": "",
            "to": "",
            "remarks": ""
        },
        "validity": {
            "nonTransport": "",
            "transport": ""
        },
        "covDetails": [
            {
                "cov": "LMV",
                "issueDate": "26-12-2011"
            },
            {
                "cov": "MCWG",
                "issueDate": "26-12-2011"
            }
        ],
        "issueDate": "26-12-2011"
    }
}
```

### Error Response

```
{
    "status": "400",
    "message": "Failed",
    "data": ""
}
```